Bug 1292009 - missing dep on shadow-util cause install failure on ovirt-live
missing dep on shadow-util cause install failure on ovirt-live
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: Packaging.rpm (Show other bugs)
3.6.1.3
Unspecified Unspecified
high Severity high (vote)
: ovirt-3.6.2
: 3.6.2
Assigned To: Lev Veyde
movciari
: BuildBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-16 02:57 EST by Sandro Bonazzola
Modified: 2016-02-10 03:54 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The specification of the package was missing a requirement for shadow-utils package. Consequence: A race condition was possible if the package is installed e.g. using kickstart file, as part of the OS installation. Fix: The requirement was added. Result: Now the Anaconda will be able to properly set the package installation order.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-10 03:54:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Integration
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑3.6.z+
rule-engine: blocker+
bmcclain: planning_ack+
sbonazzo: devel_ack+
pstehlik: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 50574 master MERGED packaging: added shadow-utils req. 2015-12-16 05:10 EST
oVirt gerrit 50586 ovirt-engine-3.6 MERGED packaging: added shadow-utils req. 2015-12-16 07:16 EST
oVirt gerrit 50687 master MERGED packaging: spec: fix missing shadow-tools deps 2015-12-18 05:45 EST
oVirt gerrit 50712 ovirt-engine-3.6 MERGED packaging: spec: fix missing shadow-tools deps 2015-12-18 08:37 EST

  None (edit)
Description Sandro Bonazzola 2015-12-16 02:57:14 EST
Description of problem:
/var/tmp/rpm-tmp.13NNt2: line 4: useradd: command not found
error: %pre(ovirt-engine-setup-base-3.6.1.3-1.el7.centos.noarch) scriptlet failed, exit status 127
error: ovirt-engine-setup-base-3.6.1.3-1.el7.centos.noarch: install failed


Version-Release number of selected component (if applicable):
ovirt-engine-setup-base-3.6.1.3-1.el7.centos.noarch

How reproducible:
100%

Steps to Reproduce:
1. build oVirt Live
Comment 1 Sandro Bonazzola 2015-12-23 08:42:16 EST
oVirt 3.6.2 RC1 has been released for testing, moving to ON_QA
Comment 2 Lev Veyde 2015-12-23 08:49:10 EST
Tested with oVirt-Live, the installation works fine now.
Comment 3 Pavel Stehlik 2016-02-10 03:54:32 EST
Closing older BZs, if still happened, please reopen.

Note You need to log in before you can comment on or make changes to this bug.